/*
Hello1.c : Reads library version and flash memory size.

Compiler: BC++ 3.1, 
          Turbo C ++ 1.01(3.01) (free from http://community.borland.com/museum)
          MSC 6.0,
          MSVC 1.52.
          
Compile mode: large

Project: Hello1.c
         ..\Lib\(8000E.Lib,7188XAL.Lib,7188XBL.Lib,7188XL.Lib or 7188EL.Lib) 

Detail description:
    User can use MiniOs utility to load hello.exe to 7188XA/7188XB/7188XC/8000.

Hardware: 7188/8000

[24 May,2005] by Bill
*/

#include"..\..\lib\vh2k.h"
    
    class Test
    {
        int number;
        
        public:
            Test() { number=0;}
            ~Test() {}
    };
    
    void main(int argc,char *argv[])
    {
        int type;
    
        InitLib();
        
        type=IsMiniOS7();
        if(type)
        {
            Print("Hello MiniOS7! (Flash memory is %d K)\n\r",type);
            
            Test test1;
        }
        else
        {
            Print("Hello PC!, this program is not run under 8000.");
        }
    }